Description

Currently, MetaSearch names all added OWS connections e.g. "WMS from MetaSearch".

Would be useful / more convenient if the OWS title would be used instead.

Can be discussed if this is a bug or a feature request...

Associated revisions

Revision a7fbefeb - 2019-02-04 10:28 PM - Tom Kralidis

[MetaSearch] OWS GetCapabilities checking regression (fixes #19787) [needs-docs]

Revision fe828900 - 2019-02-05 02:26 AM - Tom Kralidis

[MetaSearch] OWS GetCapabilities checking regression (fixes #19787) [needs-docs]

Revision 23294590 - 2019-02-05 04:10 AM - Tom Kralidis

[MetaSearch] OWS GetCapabilities checking regression (fixes #19787) [needs-docs]

History

#1 - 2018-09-24 02:00 AM - Tom Kralidis

- Subject changed from MetaSearch: Use Title wen new OWS connections are added to QGIS user profile to MetaSearch: Use Title when new OWS 

connections are added to QGIS user profile

#2 - 2018-09-24 02:08 AM - Tom Kralidis

@Stefan: in the Settings tab under 'Connection Naming' there are options to set the connection name based on the OWS Service Title.  Does this help?

#3 - 2019-01-24 06:53 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Open to Closed

Closed as "worksforme" because MetaSearch provides option to name connections using their title. Please reopen if necessary
#4 - 2019-01-24 11:47 PM - Stefan Blumentrath

- Status changed from Closed to Reopened

Sorry for the late reply. I have not been able to update QGIS for a while in order to test a recent version...

Unfortunately, the option has no effect for me on Win 10.

If I add a WMS from Norwegian CSW, the title is for all three alternatives in this option just "wms from MetaSearch"...

#5 - 2019-01-25 07:02 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (worksforme)

- Affected QGIS version changed from 3.0.0 to 3.4.4

Stefan Blumentrath wrote:

Sorry for the late reply. I have not been able to update QGIS for a while in order to test a recent version...

Unfortunately, the option has no effect for me on Win 10.

If I add a WMS from Norwegian CSW, the title is for all three alternatives in this option just "wms from MetaSearch"...

I assume you tested on 3.4.4?

#6 - 2019-02-04 09:19 PM - Tom Kralidis

It turns out that we removed this functionality long ago.  For reference:

    -  https://lists.osgeo.org/pipermail/qgis-developer/2014-August/034415.html

    -  https://github.com/geopython/MetaSearch/commit/7ad8f0fbe69e3fdb7964b2098a8d7ed15cd8aef2

But it looks somehow this got back into master at https://github.com/qgis/QGIS/commit/36e24f6c10b8d7df5d6451f5c50e1ee94d9fc1b9

I will remove.  Thanks for the report.

#7 - 2019-02-04 10:27 PM - Tom Kralidis

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|a7fbefeb4704ab7100e7a3abbd33e2fdf975d28f.

#8 - 2019-02-05 12:45 PM - Tom Kralidis

Fixed in master and 3.4 branch.
